Description

Hi guys,

Why my page uses <%= render :partial => "my/blocks/#{b}", :locals => { :user => user user } %> and every my/block/.. ignores the

user variable? Why is passed? If I want to see my page of another user I have to rewrite all my blocks to use passed "user" variable

and not "Issue.visible, user user, etc.". Thanks in advance. Petr

History

#1 - 2010-06-08 12:19 - Petr Pospisil

- File _timelog.rhtml added

There is a example of one block - timelog. The modification is easy - just delete "@" before "user". Do it at all :o).

#2 - 2010-06-08 12:21 - Petr Pospisil

trunk is affected too.

#3 - 2010-06-08 13:57 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Invalid

As the name says: it's My Page, where you can see information pertaining to _your_self, if you want to see other things, use user-defined queries.

#4 - 2010-06-08 14:07 - Petr Pospisil

- Status changed from Closed to Reopened

so it is feature :(. So why user user is passed? Because it is my page?

"if you want to see other things, use user-defined queries." What? I am in admin role. I am using LDAP auth. How I can see what the user has on the

my page?

#5 - 2010-06-08 14:12 - Petr Pospisil

If it were written the way it was meant, so there would not be a problem to write my own plugin to switch "current identity" for my page. You said - yes

we are sending a user variable to block, but we don't use it. And of course, it is not a bug, it is a feature. It is a Microsoft way.

#6 - 2013-01-14 15:39 - Daniel Felix

- Tracker changed from Defect to Feature

- Resolution deleted (Invalid)

Files

_timelog.rhtml 2.27 KB 2010-06-08 Petr Pospisil
